「及時」模式:全新世代的 Tailwind CSS
Tailwind CSS on GitHub

瀏覽器支援

了解 Tailwind 支援哪些瀏覽器及其相關的前綴詞。

從 2.0 開始,Tailwind 專注在 Chrome、Firefox、Edge 和 Safari 最新穩定版本上的設計以及測試,Tailwind CSS v2.0 不再支援任何版本的 IE 瀏覽器,包含 IE 11 也不支援。

如果你需要支援 IE 11,我們建議使用 Tailwind CSS v1.9,它仍然是一個很棒且有生產力的框架。

特定的功能,像是 focus-visible 雖然不被所有的現代瀏覽器原生地支援,但也包含在其中。我們已經將這些功能的 polyfills 建議資訊包含在功能本身的文件之中。

前綴詞 (Vendor Prefixes)

如果你使用 tailwindcss CLI 工具來編譯你的 CSS,前綴詞將被自動加入其中。

如果沒有使用 CLI,我們則建議你使用 Autoprefixer

要使用它,可以透過 npm 來安裝:

# 使用 npm
npm install autoprefixer

# 使用 Yarn
yarn add autoprefixer

然後將下列這些加入到你的 PostCSS 設定中,插件區塊 (plugin) 的末段

module.exports = {
  plugins: [
    require('tailwindcss'),
    require('autoprefixer'),
  ]
}